pkgsrc-WIP-changes archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
biology/kallisto: Quantify abundances of transcripts from RNA-Seq data
Module Name: pkgsrc-wip
Committed By: Jason Bacon <bacon4000%gmail.com@localhost>
Pushed By: outpaddling
Date: Thu Oct 19 20:49:02 2017 -0500
Changeset: 1b8296d8fb223ffe379eba80034ed7f247705332
Modified Files:
Makefile
Added Files:
kallisto/DESCR
kallisto/Makefile
kallisto/PLIST
kallisto/distinfo
kallisto/files/kallisto-test
Log Message:
biology/kallisto: Quantify abundances of transcripts from RNA-Seq data
To see a diff of this commit:
https://wip.pkgsrc.org/cgi-bin/gitweb.cgi?p=pkgsrc-wip.git;a=commitdiff;h=1b8296d8fb223ffe379eba80034ed7f247705332
Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.
diffstat:
Makefile | 1 +
kallisto/DESCR | 4 ++++
kallisto/Makefile | 44 ++++++++++++++++++++++++++++++++++++++++
kallisto/PLIST | 8 ++++++++
kallisto/distinfo | 6 ++++++
kallisto/files/kallisto-test | 48 ++++++++++++++++++++++++++++++++++++++++++++
6 files changed, 111 insertions(+)
diffs:
diff --git a/Makefile b/Makefile
index b5397ee755..bb2f7b6c32 100644
--- a/Makefile
+++ b/Makefile
@@ -1524,6 +1524,7 @@ SUBDIR+= kacst-one
SUBDIR+= kacst-ttf
SUBDIR+= kactivitymanagerd
SUBDIR+= kahakai
+SUBDIR+= kallisto
SUBDIR+= kannel-gateway
SUBDIR+= kawa
SUBDIR+= kcalc
diff --git a/kallisto/DESCR b/kallisto/DESCR
new file mode 100644
index 0000000000..de9c8d8c3d
--- /dev/null
+++ b/kallisto/DESCR
@@ -0,0 +1,4 @@
+Kallisto is a program for quantifying abundances of transcripts from RNA-Seq
+data, or more generally of target sequences using high-throughput sequencing
+reads. It is based on the novel idea of pseudoalignment for rapidly determining
+the compatibility of reads with targets, without the need for alignment.
diff --git a/kallisto/Makefile b/kallisto/Makefile
new file mode 100644
index 0000000000..9f6e4dd7fb
--- /dev/null
+++ b/kallisto/Makefile
@@ -0,0 +1,44 @@
+# $NetBSD$
+#
+###########################################################
+# Generated by fbsd2pkg #
+# Thu Oct 19 20:40:39 CDT 2017 #
+###########################################################
+
+DISTNAME= kallisto-${PORTVERSION}
+CATEGORIES= biology
+MASTER_SITES= ${MASTER_SITE_GITHUB:=pachterlab/}
+GITHUB_PROJECT= kallisto
+GITHUB_TAG= v${PORTVERSION}
+
+MAINTAINER= bacon4000%gmail.com@localhost
+HOMEPAGE= https://pachterlab.github.io/kallisto/about.html
+COMMENT= Quantify abundances of transcripts from RNA-Seq data
+# Check this
+LICENSE= 2-clause-bsd
+
+# Test and change if necessary.
+# MAKE_JOBS_SAFE= no
+
+# Just assuming C and C++: Adjust this!
+USE_LANGUAGES= c c++
+USE_TOOLS+= pax
+USE_CMAKE= yes
+
+CXXFLAGS+= -I${PREFIX}/include
+
+PORTVERSION= 0.42.4
+DATADIR= ${PREFIX}/share/kallisto
+
+# Specify which directories to create before install.
+# You should only need this if using your own install target.
+INSTALLATION_DIRS= bin ${DATADIR}
+
+post-install:
+ ${INSTALL_SCRIPT} ${FILESDIR}/kallisto-test ${DESTDIR}${PREFIX}/bin
+ cd ${WRKSRC} && pax -rw test ${DESTDIR}${DATADIR}
+
+.include "../../devel/hdf5/buildlink3.mk"
+.include "../../archivers/szip/buildlink3.mk"
+.include "../../devel/zlib/buildlink3.mk"
+.include "../../mk/bsd.pkg.mk"
diff --git a/kallisto/PLIST b/kallisto/PLIST
new file mode 100644
index 0000000000..897025dc87
--- /dev/null
+++ b/kallisto/PLIST
@@ -0,0 +1,8 @@
+@comment $NetBSD$
+bin/kallisto
+bin/kallisto-test
+share/kallisto/test/README.md
+share/kallisto/test/Snakefile
+share/kallisto/test/reads_1.fastq.gz
+share/kallisto/test/reads_2.fastq.gz
+share/kallisto/test/transcripts.fasta.gz
diff --git a/kallisto/distinfo b/kallisto/distinfo
new file mode 100644
index 0000000000..7fbc95c38a
--- /dev/null
+++ b/kallisto/distinfo
@@ -0,0 +1,6 @@
+$NetBSD$
+
+SHA1 (kallisto-0.42.4.tar.gz) = 0f9f4460127540828b620eeec585d53abf169a36
+RMD160 (kallisto-0.42.4.tar.gz) = ddf7bd0730f5465e451403077b44f5154633060f
+SHA512 (kallisto-0.42.4.tar.gz) = 12d339947c129f21ec4983136afd765f1715c8a4eb007b9662c006de0d183b8210d176b5169991bc7aa4b3b82c894ba53f39a6d37254cce829dd065f51473385
+Size (kallisto-0.42.4.tar.gz) = 1059785 bytes
diff --git a/kallisto/files/kallisto-test b/kallisto/files/kallisto-test
new file mode 100644
index 0000000000..5097121c30
--- /dev/null
+++ b/kallisto/files/kallisto-test
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+##########################################################################
+# Script description:
+#
+# Arguments:
+#
+# Returns:
+#
+# History:
+# Date Name Modification
+# 2016-03-21 Charlie & Begin
+##########################################################################
+
+usage()
+{
+ printf "Usage: $0 test-directory\n"
+ exit 1
+}
+
+
+##########################################################################
+# Main
+##########################################################################
+
+if [ $# != 1 ]; then
+ usage
+fi
+
+dir="$1"
+if [ -e "$dir" ]; then
+ printf "$dir already exists. Remove it first or choose a different name.\n"
+ exit 1
+fi
+
+cp -iR /usr/local/share/kallisto/test/ "$dir"
+cd "$dir"
+kallisto index -i transcripts.idx transcripts.fasta.gz
+kallisto quant -i transcripts.idx -o output -b 100 reads_1.fastq.gz reads_2.fastq.gz
+ls -l output
+more output/abundance.tsv
+
+cat << EOM
+
+See https://pachterlab.github.io/kallisto/starting.html for instructions
+on interpreting the output above.
+
+EOM
Home |
Main Index |
Thread Index |
Old Index